function matlab_preprocessing(Input_c,name_Ic_in,name_Ig_in)

Input_c         = double(imread(Input_c))/255;
% Input_g		= sum(Input_c,3)/3;
Input_g         = rgb2gray(Input_c);

Ig_in           = SimplestColorBalance(Input_g,.001,.001);

norm_coeff      = Ig_in./Input_g;

imwrite(uint8(255*Ig_in),name_Ig_in);

clear Ig_in Input_g;

Ic_in           = zeros(size(Input_c));
Ic_in(:,:,1)    = Input_c(:,:,1).*norm_coeff;
Ic_in(:,:,2)    = Input_c(:,:,2).*norm_coeff;
Ic_in(:,:,3)    = Input_c(:,:,3).*norm_coeff;

imwrite(uint8(255*Ic_in),name_Ic_in);

end
